org.springframework.batch.item.database.support

## Class ListPreparedStatementSetter

- java.lang.Object
- - org.springframework.batch.item.database.support.ListPreparedStatementSetter

- All Implemented Interfaces:
    org.springframework.beans.factory.InitializingBean, org.springframework.jdbc.core.PreparedStatementSetter

  Deprecated.
  use `ArgumentPreparedStatementSetter` instead.

      @Deprecated
      public class ListPreparedStatementSetter
      extends java.lang.Object
      implements org.springframework.jdbc.core.PreparedStatementSetter, org.springframework.beans.factory.InitializingBean

  Implementation of the `PreparedStatementSetter` interface that accepts a list of values to be set on a PreparedStatement. This is usually used in conjunction with the `JdbcCursorItemReader` to allow for the replacement of bind variables when generating the cursor. The order of the list will be used to determine the ordering of setting variables. For example, the first item in the list will be the first bind variable set. (i.e. it will correspond to the first '?' in the SQL statement)
  Author:
    Lucas Ward, Mahmoud Ben Hassine

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ListPreparedStatementSetter()` Deprecated.
    `ListPreparedStatementSetter(java.util.List<?> parameters)` Deprecated.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `afterPropertiesSet()` Deprecated.
    `void` | `setParameters(java.util.List<?> parameters)` Deprecated. In favor of the constructor
    `void` | `setValues(java.sql.PreparedStatement ps)` Deprecated.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ListPreparedStatementSetter

          public ListPreparedStatementSetter()

      Deprecated.

    - #### ListPreparedStatementSetter

          public ListPreparedStatementSetter(java.util.List<?> parameters)

      Deprecated.

  - ### Method Detail

    - #### setValues

          public void setValues(java.sql.PreparedStatement ps)
                         throws java.sql.SQLException

      Deprecated.
      Specified by:
        `setValues` in interface `org.springframework.jdbc.core.PreparedStatementSetter`
      Throws:
        `java.sql.SQLException`

    - #### setParameters

          @Deprecated
          public void setParameters(java.util.List<?> parameters)

      Deprecated. In favor of the constructor
      The parameter values that will be set on the PreparedStatement. It is assumed that their order in the List is the order of the parameters in the PreparedStatement.
      Parameters:
        `parameters` - list containing the parameter values to be used.

    - #### afterPropertiesSet

          public void afterPropertiesSet()
                                  throws java.lang.Exception

      Deprecated.
      Specified by:
        `afterPropertiesSet` in interface `org.springframework.beans.factory.InitializingBean`
      Throws:
        `java.lang.Exception`